Get all APM service dependencies

Note: This endpoint is in public beta. If you have any feedback, contact Datadog support.

GET https://api.ap1.datadoghq.com/api/v1/service_dependencieshttps://api.ap2.datadoghq.com/api/v1/service_dependencieshttps://api.datadoghq.eu/api/v1/service_dependencieshttps://api.ddog-gov.com/api/v1/service_dependencieshttps://api.us2.ddog-gov.com/api/v1/service_dependencieshttps://api.uk1.datadoghq.com/api/v1/service_dependencieshttps://api.datadoghq.com/api/v1/service_dependencieshttps://api.us3.datadoghq.com/api/v1/service_dependencieshttps://api.us5.datadoghq.com/api/v1/service_dependencies

Descripción general

Obtén una lista de servicios APM y sus dependencias. Los servicios recuperados son filtrados por entorno y por etiqueta primaria, si se ha definido una.

Argumentos

Cadenas de consulta

Nombre

Type

Descripción

env [required]

string

Specify what APM environment to query service dependencies by.

primary_tag

string

Specify what primary tag to query service dependencies by.

start

integer

Specify the start of the timeframe in epoch seconds to query for. (defaults to 1 hour before end parameter)

end

integer

Specify the end of the timeframe in epoch seconds to query for. (defaults to current time)

Respuesta

OK

An object containing a list of APM services and their dependencies.

Expand All

Campo

Type

Descripción

<any-key>

object

An object containing an APM service's dependencies.

calls [required]

[string]

A list of dependencies.

{
  "servica_a": {
    "calls": [
      "service_b",
      "service_c"
    ]
  },
  "service_b": {
    "calls": [
      "service_o"
    ]
  },
  "service_c": {
    "calls": [
      "service_o"
    ]
  },
  "service_o": {
    "calls": []
  }
}

Bad Request

Error response object.

Expand All

Campo

Type

Descripción

errors [required]

[string]

Array of errors returned by the API.

{
  "errors": [
    "Bad Request"
  ]
}

Authentication Error

Error response object.

Expand All

Campo

Type

Descripción

errors [required]

[string]

Array of errors returned by the API.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

Error response object.

Expand All

Campo

Type

Descripción

errors [required]

[string]

Array of errors returned by the API.

{
  "errors": [
    "Bad Request"
  ]
}

Ejemplo de código

                  # Required query arguments
export env="prod"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v1/service_dependencies?env=${env}" \ -H "Accept: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}"